﻿using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 팝업 컨트롤
    /// </summary>
    public partial class PopupControl : XtraUserControl
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 고객명 - CustomerName

        /// <summary>
        /// 고객명
        /// </summary>
        public string CustomerName
        {
            get
            {
                return this.nameTextEdit.Text;
            }
            set
            {
                this.nameTextEdit.Text = value;
            }
        }

        #endregion
        #region 생일 - Birthday

        /// <summary>
        /// 생일
        /// </summary>
        public string Birthday
        {
            get
            {
                return this.birthdayTextEdit.Text;
            }
            set
            {
                this.birthdayTextEdit.Text = value;
            }
        }

        #endregion
        #region 메일 주소 - MailAddress

        /// <summary>
        /// 메일 주소
        /// </summary>
        public string MailAddress
        {
            get
            {
                return this.mailAddressTextEdit.Text;
            }
            set
            {
                this.mailAddressTextEdit.Text = value;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - PopupControl()

        /// <summary>
        /// 생성자
        /// </summary>
        public PopupControl()
        {
            InitializeComponent();
        }

        #endregion
    }
}